
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef GPS_SCAN_H
#define GPS_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genBasicTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"


/* Structures du module */
#include "server/GPSPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_GPS_GPSDEBUG_POSTER_STR (char** buf, struct GPS_GPSDEBUG_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_GPS_MEPOS_POSTER_STR (char** buf, struct GPS_MEPOS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_GPS_INFO_POSTER_STR (char** buf, struct GPS_INFO_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_GPS_STR (char** buf, struct GPS_STR *x, int nDim, int *dims );
int scan_buf_struct_GPS_DEBUG (char** buf, struct GPS_DEBUG *x, int nDim, int *dims );
int scan_buf_struct_GPS_INIT (char** buf, struct GPS_INIT *x, int nDim, int *dims );
int scan_buf_struct_GPS_LOG (char** buf, struct GPS_LOG *x, int nDim, int *dims );
int scan_buf_struct_GPS_POS_QUALITY (char** buf, struct GPS_POS_QUALITY *x, int nDim, int *dims );
int scan_buf_struct_GPS_REF_POS (char** buf, struct GPS_REF_POS *x, int nDim, int *dims );
int scan_buf_struct_GPS_POM_TAGGING (char** buf, struct GPS_POM_TAGGING *x, int nDim, int *dims );
int scan_buf_struct_GPS_STRING (char** buf, struct GPS_STRING *x, int nDim, int *dims );
int scan_buf_enum_GPS_FLAG (char** buf, enum GPS_FLAG *x, int nDim, int *dims );
int scan_buf_enum_GPSNovatel_FLAG (char** buf, enum GPSNovatel_FLAG *x, int nDim, int *dims );
int scan_buf_enum_GPS_LOG_FORMAT (char** buf, enum GPS_LOG_FORMAT *x, int nDim, int *dims );
int scan_buf_struct_HEADINGb_LOG (char** buf, struct HEADINGb_LOG *x, int nDim, int *dims );
int scan_buf_struct_OEM6HEADINGb_LOG (char** buf, struct OEM6HEADINGb_LOG *x, int nDim, int *dims );
int scan_buf_struct_BESTXYZb_LOG (char** buf, struct BESTXYZb_LOG *x, int nDim, int *dims );
int scan_buf_struct_OEM4BESTXYZb_LOG (char** buf, struct OEM4BESTXYZb_LOG *x, int nDim, int *dims );
int scan_buf_struct_BESTVELb_LOG (char** buf, struct BESTVELb_LOG *x, int nDim, int *dims );
int scan_buf_struct_OEM4BESTVELb_LOG (char** buf, struct OEM4BESTVELb_LOG *x, int nDim, int *dims );
int scan_buf_struct_BESTUTMb_LOG (char** buf, struct BESTUTMb_LOG *x, int nDim, int *dims );
int scan_buf_struct_OEM4BESTUTMb_LOG (char** buf, struct OEM4BESTUTMb_LOG *x, int nDim, int *dims );
int scan_buf_struct_BESTPOSb_LOG (char** buf, struct BESTPOSb_LOG *x, int nDim, int *dims );
int scan_buf_struct_OEM4BESTPOSb_LOG (char** buf, struct OEM4BESTPOSb_LOG *x, int nDim, int *dims );
int scan_buf_struct_OEM4_BINARY_HEADER (char** buf, struct OEM4_BINARY_HEADER *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_OEM4_BINARY_HEADER (char** buf, OEM4_BINARY_HEADER *x, int nDim, int *dims );
int scan_buf_OEM4BESTPOSb_LOG (char** buf, OEM4BESTPOSb_LOG *x, int nDim, int *dims );
int scan_buf_BESTPOSb_LOG (char** buf, BESTPOSb_LOG *x, int nDim, int *dims );
int scan_buf_OEM4BESTUTMb_LOG (char** buf, OEM4BESTUTMb_LOG *x, int nDim, int *dims );
int scan_buf_BESTUTMb_LOG (char** buf, BESTUTMb_LOG *x, int nDim, int *dims );
int scan_buf_OEM4BESTVELb_LOG (char** buf, OEM4BESTVELb_LOG *x, int nDim, int *dims );
int scan_buf_BESTVELb_LOG (char** buf, BESTVELb_LOG *x, int nDim, int *dims );
int scan_buf_OEM4BESTXYZb_LOG (char** buf, OEM4BESTXYZb_LOG *x, int nDim, int *dims );
int scan_buf_BESTXYZb_LOG (char** buf, BESTXYZb_LOG *x, int nDim, int *dims );
int scan_buf_OEM6HEADINGb_LOG (char** buf, OEM6HEADINGb_LOG *x, int nDim, int *dims );
int scan_buf_HEADINGb_LOG (char** buf, HEADINGb_LOG *x, int nDim, int *dims );
int scan_buf_GPS_LOG_FORMAT (char** buf, GPS_LOG_FORMAT *x, int nDim, int *dims );
int scan_buf_GPSNovatel_FLAG (char** buf, GPSNovatel_FLAG *x, int nDim, int *dims );
int scan_buf_GPS_FLAG (char** buf, GPS_FLAG *x, int nDim, int *dims );
int scan_buf_GPS_STRING (char** buf, GPS_STRING *x, int nDim, int *dims );
int scan_buf_GPS_POM_TAGGING (char** buf, GPS_POM_TAGGING *x, int nDim, int *dims );
int scan_buf_GPS_REF_POS (char** buf, GPS_REF_POS *x, int nDim, int *dims );
int scan_buf_GPS_POS_QUALITY (char** buf, GPS_POS_QUALITY *x, int nDim, int *dims );
int scan_buf_GPS_LOG (char** buf, GPS_LOG *x, int nDim, int *dims );
int scan_buf_GPS_INIT (char** buf, GPS_INIT *x, int nDim, int *dims );
int scan_buf_GPS_DEBUG (char** buf, GPS_DEBUG *x, int nDim, int *dims );
int scan_buf_GPS_STR (char** buf, GPS_STR *x, int nDim, int *dims );
int scan_buf_GPS_INFO_POSTER_STR (char** buf, GPS_INFO_POSTER_STR *x, int nDim, int *dims );
int scan_buf_GPS_MEPOS_POSTER_STR (char** buf, GPS_MEPOS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_GPS_GPSDEBUG_POSTER_STR (char** buf, GPS_GPSDEBUG_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* GPS_SCAN_H */

