
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef GPS_TCLSERV_CLIENT_MSG_LIB_H
#define GPS_TCLSERV_CLIENT_MSG_LIB_H

#include <server/GPSType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int GPSTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int GPSTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int GPSTclservClientConnectRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GPS_INIT *(in_gpsInit) 
		);

int GPSTclservClientConnectReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int GPSTclservClientConnectRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GPS_INIT *(in_gpsInit) ,
				
				int *bilan);

int GPSTclservClientConnectRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GPS_INIT *(in_gpsInit) ,
					
					int *bilan);




int GPSTclservClientDisconnectRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int GPSTclservClientDisconnectReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int GPSTclservClientDisconnectRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int GPSTclservClientDisconnectRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int GPSTclservClientReconnectRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int GPSTclservClientReconnectReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int GPSTclservClientReconnectRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int GPSTclservClientReconnectRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int GPSTclservClientSendCommandRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING128 *(in_order) 
		);

int GPSTclservClientSendCommandReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int GPSTclservClientSendCommandRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING128 *(in_order) ,
				
				int *bilan);

int GPSTclservClientSendCommandRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING128 *(in_order) ,
					
					int *bilan);




int GPSTclservClientLogRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING128 *(in_fileName) 
		);

int GPSTclservClientLogReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int GPSTclservClientLogRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING128 *(in_fileName) ,
				
				int *bilan);

int GPSTclservClientLogRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING128 *(in_fileName) ,
					
					int *bilan);




int GPSTclservClientStopLogRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int GPSTclservClientStopLogReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int GPSTclservClientStopLogRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int GPSTclservClientGetUTMPosRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int GPSTclservClientGetUTMPosReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       OEM4BESTUTMb_LOG *(out_UTM),
			       int *bilan);

int GPSTclservClientGetUTMPosRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 OEM4BESTUTMb_LOG *(out_UTM),
				 int *bilan);




int GPSTclservClientGetPOSPosRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int GPSTclservClientGetPOSPosReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       OEM4BESTPOSb_LOG *(out_POS),
			       int *bilan);

int GPSTclservClientGetPOSPosRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 OEM4BESTPOSb_LOG *(out_POS),
				 int *bilan);




int GPSTclservClientGetVelRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int GPSTclservClientGetVelReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       OEM4BESTVELb_LOG *(out_vel),
			       int *bilan);

int GPSTclservClientGetVelRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 OEM4BESTVELb_LOG *(out_vel),
				 int *bilan);




int GPSTclservClientGetConfigurationRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int GPSTclservClientGetConfigurationReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       GPS_INIT *(out_gpsInit),
			       int *bilan);

int GPSTclservClientGetConfigurationRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 GPS_INIT *(out_gpsInit),
				 int *bilan);




int GPSTclservClientSetPomRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GPS_POM_TAGGING *(in_pomTagging) 
		);

int GPSTclservClientSetPomReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int GPSTclservClientSetPomRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GPS_POM_TAGGING *(in_pomTagging) ,
				
				int *bilan);

int GPSTclservClientSetPomRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GPS_POM_TAGGING *(in_pomTagging) ,
					
					int *bilan);




int GPSTclservClientSetPosRefRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 GPS_REF_POS *(in_posRef)
		);

int GPSTclservClientSetPosRefReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int GPSTclservClientSetPosRefRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 GPS_REF_POS *(in_posRef) ,
				 
				 int *bilan);




int GPSTclservClientGetPosRefRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int GPSTclservClientGetPosRefReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       GPS_REF_POS *(out_posRef),
			       int *bilan);

int GPSTclservClientGetPosRefRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 GPS_REF_POS *(out_posRef),
				 int *bilan);




int GPSTclservClientSetHeadingPosterRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GPS_STRING *(in_headingPosterName) 
		);

int GPSTclservClientSetHeadingPosterReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int GPSTclservClientSetHeadingPosterRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GPS_STRING *(in_headingPosterName) ,
				
				int *bilan);

int GPSTclservClientSetHeadingPosterRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GPS_STRING *(in_headingPosterName) ,
					
					int *bilan);




int GPSTclservClientSetAttitudePosterRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GPS_STRING *(in_attitudePosterName) 
		);

int GPSTclservClientSetAttitudePosterReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int GPSTclservClientSetAttitudePosterRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GPS_STRING *(in_attitudePosterName) ,
				
				int *bilan);

int GPSTclservClientSetAttitudePosterRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GPS_STRING *(in_attitudePosterName) ,
					
					int *bilan);




int GPSTclservClientGetPosQualityRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int GPSTclservClientGetPosQualityReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       GPS_POS_QUALITY *(out_posQuality),
			       int *bilan);

int GPSTclservClientGetPosQualityRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 GPS_POS_QUALITY *(out_posQuality),
				 int *bilan);




int GPSTclservClientStartLogRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 GPS_LOG *(in_log)
		);

int GPSTclservClientStartLogReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int GPSTclservClientStartLogRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 GPS_LOG *(in_log) ,
				 
				 int *bilan);




int GPSTclservClientSetExportGoodPosToPomRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 GPS_FLAG *(in_stopExportingToPom)
		);

int GPSTclservClientSetExportGoodPosToPomReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int GPSTclservClientSetExportGoodPosToPomRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 GPS_FLAG *(in_stopExportingToPom) ,
				 
				 int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* GPSTCLSERV_CLIENT_MSG_LIB_H */

